<?php
add_action( 'add_meta_boxes', 'wpas_add_message_widget' );
/**
 * Register the metabox
 */
function wpas_add_message_widget() {

	add_meta_box( 'wpas_ticket_message', __( 'Issue', 'wpas' ), 'wpas_ticket_message', wpas_get_slug(), 'normal', 'high' );
}

function wpas_ticket_message() {

	global $post;

	/* Get user data */
	$user_data = get_userdata( $post->post_author );
	$user_name = $user_data->data->display_name;

	/* Get time */
	$date = human_time_diff( get_the_time( 'U', $post->ID ), current_time( 'timestamp' ) );
	?>

	<div id="wpas-ticket-message">

		<div id="wpas-ticket-message-meta"><?php printf( __( 'Issue #%s opened by %s <em>%s ago</em>', 'wpas' ), $_GET['post'], $user_name, $date ); ?></div>

		<?php echo apply_filters( 'the_content', $post->post_content ); ?>

	</div>

	
<?php }